zenilib: zenilib/jni/external/zenilib/zeni_graphics/d3dx9core.h File Reference

zenilib 0.5.3.0

- Main Page
- Modules
- Namespaces
- Classes
- Files

- File List
- File Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Friends Macros Groups Pages
Classes | Macros | Typedefs | Functions
d3dx9core.h File Reference
`#include "d3dx9.h"`

Go to the source code of this file.

## Classes

struct | _D3DXFONT_DESCA
struct | _D3DXFONT_DESCW
struct | _D3DXRTE_DESC
struct | _D3DXRTS_DESC

## Macros

#define | __D3DX9CORE_H__
#define | D3DX_SDK_VERSION 43
#define | D3DX_VERSION 0x0902
#define | D3DXCreateFont D3DXCreateFontA
#define | D3DXCreateFontIndirect D3DXCreateFontIndirectA
#define | D3DXSPRITE_ALPHABLEND (1 << 4)
#define | D3DXSPRITE_BILLBOARD (1 << 3)
#define | D3DXSPRITE_DO_NOT_ADDREF_TEXTURE (1 << 8)
#define | D3DXSPRITE_DONOTMODIFY_RENDERSTATE (1 << 1)
#define | D3DXSPRITE_DONOTSAVESTATE (1 << 0)
#define | D3DXSPRITE_OBJECTSPACE (1 << 2)
#define | D3DXSPRITE_SORT_DEPTH_BACKTOFRONT (1 << 7)
#define | D3DXSPRITE_SORT_DEPTH_FRONTTOBACK (1 << 6)
#define | D3DXSPRITE_SORT_TEXTURE (1 << 5)
#define | INTERFACE ID3DXBuffer
#define | INTERFACE ID3DXSprite
#define | INTERFACE ID3DXFont
#define | INTERFACE ID3DXRenderToSurface
#define | INTERFACE ID3DXRenderToEnvMap
#define | INTERFACE ID3DXLine

## Typedefs

typedef D3DXFONT_DESCA | D3DXFONT_DESC
typedef struct _D3DXFONT_DESCA | D3DXFONT_DESCA
typedef struct _D3DXFONT_DESCW | D3DXFONT_DESCW
typedef struct _D3DXRTE_DESC | D3DXRTE_DESC
typedef struct _D3DXRTS_DESC | D3DXRTS_DESC
typedef interface ID3DXBuffer | ID3DXBuffer
typedef interface ID3DXFont | ID3DXFont
typedef interface ID3DXLine | ID3DXLine
typedef interface ID3DXRenderToEnvMap | ID3DXRenderToEnvMap
typedef interface ID3DXRenderToSurface | ID3DXRenderToSurface
typedef interface ID3DXSprite | ID3DXSprite
typedef interface ID3DXBuffer * | LPD3DXBUFFER
typedef interface ID3DXFont * | LPD3DXFONT
typedef LPD3DXFONT_DESCA | LPD3DXFONT_DESC
typedef struct _D3DXFONT_DESCA * | LPD3DXFONT_DESCA
typedef struct _D3DXFONT_DESCW * | LPD3DXFONT_DESCW
typedef interface ID3DXLine * | LPD3DXLINE
typedef interface ID3DXRenderToEnvMap * | LPD3DXRenderToEnvMap
typedef interface ID3DXRenderToSurface * | LPD3DXRENDERTOSURFACE
typedef struct _D3DXRTE_DESC * | LPD3DXRTE_DESC
typedef struct _D3DXRTS_DESC * | LPD3DXRTS_DESC
typedef interface ID3DXSprite * | LPD3DXSPRITE

## Functions

BOOL WINAPI | D3DXCheckVersion (UINT D3DSdkVersion, UINT D3DXSdkVersion)
HRESULT WINAPI | D3DXCreateFontA (LPDIRECT3DDEVICE9 pDevice, INT Height, UINT Width, UINT Weight, UINT MipLevels, BOOL Italic, DWORD CharSet, DWORD OutputPrecision, DWORD Quality, DWORD PitchAndFamily, LPCSTR pFaceName, LPD3DXFONT *ppFont)
HRESULT WINAPI | D3DXCreateFontIndirectA (LPDIRECT3DDEVICE9 pDevice, CONST D3DXFONT_DESCA *pDesc, LPD3DXFONT *ppFont)
HRESULT WINAPI | D3DXCreateFontIndirectW (LPDIRECT3DDEVICE9 pDevice, CONST D3DXFONT_DESCW *pDesc, LPD3DXFONT *ppFont)
HRESULT WINAPI | D3DXCreateFontW (LPDIRECT3DDEVICE9 pDevice, INT Height, UINT Width, UINT Weight, UINT MipLevels, BOOL Italic, DWORD CharSet, DWORD OutputPrecision, DWORD Quality, DWORD PitchAndFamily, LPCWSTR pFaceName, LPD3DXFONT *ppFont)
HRESULT WINAPI | D3DXCreateLine (LPDIRECT3DDEVICE9 pDevice, LPD3DXLINE *ppLine)
HRESULT WINAPI | D3DXCreateRenderToEnvMap (LPDIRECT3DDEVICE9 pDevice, UINT Size, UINT MipLevels, D3DFORMAT Format, BOOL DepthStencil, D3DFORMAT DepthStencilFormat, LPD3DXRenderToEnvMap *ppRenderToEnvMap)
HRESULT WINAPI | D3DXCreateRenderToSurface (LPDIRECT3DDEVICE9 pDevice, UINT Width, UINT Height, D3DFORMAT Format, BOOL DepthStencil, D3DFORMAT DepthStencilFormat, LPD3DXRENDERTOSURFACE *ppRenderToSurface)
HRESULT WINAPI | D3DXCreateSprite (LPDIRECT3DDEVICE9 pDevice, LPD3DXSPRITE *ppSprite)
BOOL WINAPI | D3DXDebugMute (BOOL Mute)
UINT WINAPI | D3DXGetDriverLevel (LPDIRECT3DDEVICE9 pDevice)
| DECLARE_INTERFACE_ (ID3DXBuffer, IUnknown)
| DECLARE_INTERFACE_ (ID3DXSprite, IUnknown)
| DECLARE_INTERFACE_ (ID3DXFont, IUnknown)
| DECLARE_INTERFACE_ (ID3DXRenderToSurface, IUnknown)
| DECLARE_INTERFACE_ (ID3DXRenderToEnvMap, IUnknown)
| DECLARE_INTERFACE_ (ID3DXLine, IUnknown)
| DEFINE_GUID (IID_ID3DXBuffer, 0x8ba5fb08, 0x5195, 0x40e2, 0xac, 0x58, 0xd, 0x98, 0x9c, 0x3a, 0x1, 0x2)
| DEFINE_GUID (IID_ID3DXSprite, 0xba0b762d, 0x7d28, 0x43ec, 0xb9, 0xdc, 0x2f, 0x84, 0x44, 0x3b, 0x6, 0x14)
| DEFINE_GUID (IID_ID3DXFont, 0xd79dbb70, 0x5f21, 0x4d36, 0xbb, 0xc2, 0xff, 0x52, 0x5c, 0x21, 0x3c, 0xdc)
| DEFINE_GUID (IID_ID3DXRenderToSurface, 0x6985f346, 0x2c3d, 0x43b3, 0xbe, 0x8b, 0xda, 0xae, 0x8a, 0x3, 0xd8, 0x94)
| DEFINE_GUID (IID_ID3DXRenderToEnvMap, 0x313f1b4b, 0xc7b0, 0x4fa2, 0x9d, 0x9d, 0x8d, 0x38, 0xb, 0x64, 0x38, 0x5e)
| DEFINE_GUID (IID_ID3DXLine, 0xd379ba7f, 0x9042, 0x4ac4, 0x9f, 0x5e, 0x58, 0x19, 0x2a, 0x4c, 0x6b, 0xd8)

## Macro Definition Documentation

#define __D3DX9CORE_H__

Definition at line 13 of file d3dx9core.h.

#define D3DX_SDK_VERSION 43

Definition at line 28 of file d3dx9core.h.

#define D3DX_VERSION 0x0902

Definition at line 26 of file d3dx9core.h.

#define D3DXCreateFont D3DXCreateFontA

Definition at line 413 of file d3dx9core.h.

#define D3DXCreateFontIndirect D3DXCreateFontIndirectA

Definition at line 432 of file d3dx9core.h.

#define D3DXSPRITE_ALPHABLEND (1 << 4)

Definition at line 159 of file d3dx9core.h.

#define D3DXSPRITE_BILLBOARD (1 << 3)

Definition at line 158 of file d3dx9core.h.

#define D3DXSPRITE_DO_NOT_ADDREF_TEXTURE (1 << 8)

Definition at line 163 of file d3dx9core.h.

#define D3DXSPRITE_DONOTMODIFY_RENDERSTATE (1 << 1)

Definition at line 156 of file d3dx9core.h.

#define D3DXSPRITE_DONOTSAVESTATE (1 << 0)

Definition at line 155 of file d3dx9core.h.

#define D3DXSPRITE_OBJECTSPACE (1 << 2)

Definition at line 157 of file d3dx9core.h.

#define D3DXSPRITE_SORT_DEPTH_BACKTOFRONT (1 << 7)

Definition at line 162 of file d3dx9core.h.

#define D3DXSPRITE_SORT_DEPTH_FRONTTOBACK (1 << 6)

Definition at line 161 of file d3dx9core.h.

#define D3DXSPRITE_SORT_TEXTURE (1 << 5)

Definition at line 160 of file d3dx9core.h.

#define INTERFACE ID3DXBuffer

Definition at line 695 of file d3dx9core.h.

#define INTERFACE ID3DXSprite

Definition at line 695 of file d3dx9core.h.

#define INTERFACE ID3DXFont

Definition at line 695 of file d3dx9core.h.

#define INTERFACE ID3DXRenderToSurface

Definition at line 695 of file d3dx9core.h.

#define INTERFACE ID3DXRenderToEnvMap

Definition at line 695 of file d3dx9core.h.

#define INTERFACE ID3DXLine

Definition at line 695 of file d3dx9core.h.

## Typedef Documentation

typedef D3DXFONT_DESCA D3DXFONT_DESC

Definition at line 302 of file d3dx9core.h.

typedef struct _D3DXFONT_DESCA D3DXFONT_DESCA

typedef struct _D3DXFONT_DESCW D3DXFONT_DESCW

typedef struct _D3DXRTE_DESC D3DXRTE_DESC

typedef struct _D3DXRTS_DESC D3DXRTS_DESC

typedef interface ID3DXBuffer ID3DXBuffer

Definition at line 96 of file d3dx9core.h.

typedef interface ID3DXFont ID3DXFont

Definition at line 307 of file d3dx9core.h.

typedef interface ID3DXLine ID3DXLine

Definition at line 686 of file d3dx9core.h.

typedef interface ID3DXRenderToEnvMap ID3DXRenderToEnvMap

Definition at line 561 of file d3dx9core.h.

typedef interface ID3DXRenderToSurface ID3DXRenderToSurface

Definition at line 471 of file d3dx9core.h.

typedef interface ID3DXSprite ID3DXSprite

Definition at line 191 of file d3dx9core.h.

typedef interface ID3DXBuffer* LPD3DXBUFFER

Definition at line 97 of file d3dx9core.h.

typedef interface ID3DXFont* LPD3DXFONT

Definition at line 308 of file d3dx9core.h.

typedef LPD3DXFONT_DESCA LPD3DXFONT_DESC

Definition at line 303 of file d3dx9core.h.

typedef struct _D3DXFONT_DESCA * LPD3DXFONT_DESCA

typedef struct _D3DXFONT_DESCW * LPD3DXFONT_DESCW

typedef interface ID3DXLine* LPD3DXLINE

Definition at line 687 of file d3dx9core.h.

typedef interface ID3DXRenderToEnvMap* LPD3DXRenderToEnvMap

Definition at line 562 of file d3dx9core.h.

typedef interface ID3DXRenderToSurface* LPD3DXRENDERTOSURFACE

Definition at line 472 of file d3dx9core.h.

typedef struct _D3DXRTE_DESC * LPD3DXRTE_DESC

typedef struct _D3DXRTS_DESC * LPD3DXRTS_DESC

typedef interface ID3DXSprite* LPD3DXSPRITE

Definition at line 192 of file d3dx9core.h.

## Function Documentation

BOOL WINAPI D3DXCheckVersion | ( | UINT | D3DSdkVersion,
|  | UINT | D3DXSdkVersion
| ) |  |

HRESULT WINAPI D3DXCreateFontA | ( | LPDIRECT3DDEVICE9 | pDevice,
|  | INT | Height,
|  | UINT | Width,
|  | UINT | Weight,
|  | UINT | MipLevels,
|  | BOOL | Italic,
|  | DWORD | CharSet,
|  | DWORD | OutputPrecision,
|  | DWORD | Quality,
|  | DWORD | PitchAndFamily,
|  | LPCSTR | pFaceName,
|  | LPD3DXFONT * | ppFont
| ) |  |

HRESULT WINAPI D3DXCreateFontIndirectA | ( | LPDIRECT3DDEVICE9 | pDevice,
|  | CONST D3DXFONT_DESCA * | pDesc,
|  | LPD3DXFONT * | ppFont
| ) |  |

HRESULT WINAPI D3DXCreateFontIndirectW | ( | LPDIRECT3DDEVICE9 | pDevice,
|  | CONST D3DXFONT_DESCW * | pDesc,
|  | LPD3DXFONT * | ppFont
| ) |  |

HRESULT WINAPI D3DXCreateFontW | ( | LPDIRECT3DDEVICE9 | pDevice,
|  | INT | Height,
|  | UINT | Width,
|  | UINT | Weight,
|  | UINT | MipLevels,
|  | BOOL | Italic,
|  | DWORD | CharSet,
|  | DWORD | OutputPrecision,
|  | DWORD | Quality,
|  | DWORD | PitchAndFamily,
|  | LPCWSTR | pFaceName,
|  | LPD3DXFONT * | ppFont
| ) |  |

HRESULT WINAPI D3DXCreateLine | ( | LPDIRECT3DDEVICE9 | pDevice,
|  | LPD3DXLINE * | ppLine
| ) |  |

HRESULT WINAPI D3DXCreateRenderToEnvMap | ( | LPDIRECT3DDEVICE9 | pDevice,
|  | UINT | Size,
|  | UINT | MipLevels,
|  | D3DFORMAT | Format,
|  | BOOL | DepthStencil,
|  | D3DFORMAT | DepthStencilFormat,
|  | LPD3DXRenderToEnvMap * | ppRenderToEnvMap
| ) |  |

HRESULT WINAPI D3DXCreateRenderToSurface | ( | LPDIRECT3DDEVICE9 | pDevice,
|  | UINT | Width,
|  | UINT | Height,
|  | D3DFORMAT | Format,
|  | BOOL | DepthStencil,
|  | D3DFORMAT | DepthStencilFormat,
|  | LPD3DXRENDERTOSURFACE * | ppRenderToSurface
| ) |  |

HRESULT WINAPI D3DXCreateSprite | ( | LPDIRECT3DDEVICE9 | pDevice,
|  | LPD3DXSPRITE * | ppSprite
| ) |  |

BOOL WINAPI D3DXDebugMute | ( | BOOL | Mute | ) |

UINT WINAPI D3DXGetDriverLevel | ( | LPDIRECT3DDEVICE9 | pDevice | ) |

DECLARE_INTERFACE_ | ( | ID3DXBuffer | ,
|  | IUnknown |
| ) |  |

Definition at line 106 of file d3dx9core.h.

References DWORD(), and LPVOID().

DECLARE_INTERFACE_ | ( | ID3DXSprite | ,
|  | IUnknown |
| ) |  |

Definition at line 203 of file d3dx9core.h.

References DWORD(), and LPVOID().

DECLARE_INTERFACE_ | ( | ID3DXFont | ,
|  | IUnknown |
| ) |  |

Definition at line 319 of file d3dx9core.h.

References BOOL(), DWORD(), HDC(), HRESULT(), INT(), LPVOID(), and UINT().

DECLARE_INTERFACE_ | ( | ID3DXRenderToSurface | ,
|  | IUnknown |
| ) |  |

Definition at line 483 of file d3dx9core.h.

References DWORD(), and LPVOID().

DECLARE_INTERFACE_ | ( | ID3DXRenderToEnvMap | ,
|  | IUnknown |
| ) |  |

Definition at line 573 of file d3dx9core.h.

References DWORD(), and LPVOID().

DECLARE_INTERFACE_ | ( | ID3DXLine | ,
|  | IUnknown |
| ) |  |

Definition at line 697 of file d3dx9core.h.

References BOOL(), DWORD(), and LPVOID().

DEFINE_GUID | ( | IID_ID3DXBuffer | ,
|  | 0x8ba5fb08 | ,
|  | 0x5195 | ,
|  | 0x40e2 | ,
|  | 0xac | ,
|  | 0x58 | ,
|  | 0xd | ,
|  | 0x98 | ,
|  | 0x9c | ,
|  | 0x3a | ,
|  | 0x1 | ,
|  | 0x2 |
| ) |  |

DEFINE_GUID | ( | IID_ID3DXSprite | ,
|  | 0xba0b762d | ,
|  | 0x7d28 | ,
|  | 0x43ec | ,
|  | 0xb9 | ,
|  | 0xdc | ,
|  | 0x2f | ,
|  | 0x84 | ,
|  | 0x44 | ,
|  | 0x3b | ,
|  | 0x6 | ,
|  | 0x14 |
| ) |  |

DEFINE_GUID | ( | IID_ID3DXFont | ,
|  | 0xd79dbb70 | ,
|  | 0x5f21 | ,
|  | 0x4d36 | ,
|  | 0xbb | ,
|  | 0xc2 | ,
|  | 0xff | ,
|  | 0x52 | ,
|  | 0x5c | ,
|  | 0x21 | ,
|  | 0x3c | ,
|  | 0xdc |
| ) |  |

DEFINE_GUID | ( | IID_ID3DXRenderToSurface | ,
|  | 0x6985f346 | ,
|  | 0x2c3d | ,
|  | 0x43b3 | ,
|  | 0xbe | ,
|  | 0x8b | ,
|  | 0xda | ,
|  | 0xae | ,
|  | 0x8a | ,
|  | 0x3 | ,
|  | 0xd8 | ,
|  | 0x94 |
| ) |  |

DEFINE_GUID | ( | IID_ID3DXRenderToEnvMap | ,
|  | 0x313f1b4b | ,
|  | 0xc7b0 | ,
|  | 0x4fa2 | ,
|  | 0x9d | ,
|  | 0x9d | ,
|  | 0x8d | ,
|  | 0x38 | ,
|  | 0xb | ,
|  | 0x64 | ,
|  | 0x38 | ,
|  | 0x5e |
| ) |  |

DEFINE_GUID | ( | IID_ID3DXLine | ,
|  | 0xd379ba7f | ,
|  | 0x9042 | ,
|  | 0x4ac4 | ,
|  | 0x9f | ,
|  | 0x5e | ,
|  | 0x58 | ,
|  | 0x19 | ,
|  | 0x2a | ,
|  | 0x4c | ,
|  | 0x6b | ,
|  | 0xd8 |
| ) |  |